#
# spec file for package gap-lpres
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-lpres
Summary:        GAP: Nilpotent Quotients of L-Presented Groups
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Version:        0.4.2
Release:        lp150.1.2
Url:            https://gap-packages.github.io/lpres

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/lpres-%version.tar.bz2
BuildRequires:  gap-rpm-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       gap-core >= 4.4
Requires:       gap-fga >= 1.1.0.1
Requires:       gap-polycyclic >= 2.5
Suggests:       gap-ace >= 5.0
Suggests:       gap-autpgrp >= 1.4
Suggests:       gap-pargap >= 1.1.2

%description
The LPRES package defines new GAP objects to work with L-presented
groups, namely groups given by a finite generating set and a
possibly-infinite set of relations given as iterates of finitely many
seed relations by a finite set of endomorphisms. The package
implements nilpotent quotient, Todd-Coxeter and Reidemeister-Schreier
algorithms for L-presented groups.

%prep
%setup -qn lpres-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 0.4.2
  * No changelog available
* Sat Apr 29 2017 jengelh@inai.de
- Initial package (version 0.4.1) for build.opensuse.org
